#include <stdio.h>
#include <string>
#include <vector>
#include <algorithm>

std::vector<std::string> sve_permutacije;
std::vector<long long> brojevi;

bool uporedi(std::string a, std::string b)
{
	for (int i = 0; i < a.size(); i++)
	{
		if (a[i] > b[i])
			return false;
		else if (a[i] < b[i])
			return true;
	}
	return false;
}
int main()
{
	long long a, b, c;
	scanf("%lli %lli %lli", &a, &b, &c);
	std::string permutacija = "";
	brojevi.push_back(a); brojevi.push_back(b); brojevi.push_back(c);

	std::sort(brojevi.begin(), brojevi.end());
	do
	{
		permutacija = std::to_string(brojevi[0]) + std::to_string(brojevi[1]) + std::to_string(brojevi[2]);
		sve_permutacije.push_back(permutacija);
	} while (std::next_permutation(brojevi.begin(),brojevi.end()));

	std::string maks_permutacija = *std::max_element(sve_permutacije.begin(), sve_permutacije.end(), uporedi);
	printf("%s", maks_permutacija.c_str());
	return 0;
}